ACH Tokens
Retrieve the details of a stored ACH token using the specified token ID.
Specifies the unique identifier of the ACH token.
An access API key issued to you by Xplor Pay.
Success
Payload
Indicates the type of payload returned in the response.
Bad Request
Unauthorized
Business Exception
Forbidden
Not Found
Internal server error
GET /rest/v2/ach/tokens/{tokenId} HTTP/1.1
api-key: text
Accept: */*
{
"ach-token": {
"token-id": "1100000000000000",
"times-used": 14,
"last-used": "1100000000000000",
"merchant-id": "000008888",
"routing-number": "081009813",
"account-number": "1111",
"account-type": "Checking",
"individual-name": "John Doe",
"token-description": "Travel checking account",
"created": "1100000000000000",
"updated": "1100000000000000",
"customer-key": "customer123",
"default": false
},
"payloadType": "text"
}Update the details of an existing ACH token identified by the specified token ID.
Specifies the unique identifier of the ACH token.
An access API key issued to you by Xplor Pay.
Use this model when creating a new ach token
Specifies the bank routing number used to create the ACH token.
081009813Specifies the bank account number (1 to 17 digits) used to create the ACH token.
123456789Specifies the type of bank account. Possible values: Checking, Savings.
CheckingPossible values: Specifies the name of the bank account holder.
John DoeProvides a description for the ACH token.
Business checking accountIdentifies the customer associated with the ACH token.
customer123Indicates whether this token is the default payment method for the customer.
falseIdentifies the software application.
MySoftwareSpecifies the version of the software application.
v1.0Indicates whether the check-digit validation algorithm is enabled for New Zealand (NZ) bank accounts.
falseSuccessful Token Update
Payload
Indicates the type of payload returned in the response.
Bad Request
Unauthorized
Business Exception
Forbidden
Not Found
Internal server error
PUT /rest/v2/ach/tokens/{tokenId} HTTP/1.1
api-key: text
Content-Type: application/json
Accept: */*
Content-Length: 295
{
"routing-number": "081009813",
"account-number": "123456789",
"account-type": "Checking",
"individual-name": "John Doe",
"token-description": "Business checking account",
"customer-key": "customer123",
"default": false,
"software-type": "MySoftware",
"software-type-version": "v1.0",
"check-digit-enabled": false
}{
"ach-token": {
"token-id": "1100000000000000",
"times-used": 14,
"last-used": "1100000000000000",
"merchant-id": "000008888",
"routing-number": "081009813",
"account-number": "1111",
"account-type": "Checking",
"individual-name": "John Doe",
"token-description": "Travel checking account",
"created": "1100000000000000",
"updated": "1100000000000000",
"customer-key": "customer123",
"default": false
},
"payloadType": "text"
}Delete the ACH token identified by the specified token ID.
Specifies the unique identifier of the ACH token.
An access API key issued to you by Xplor Pay.
Success
Payload
Indicates the type of payload returned in the response.
Bad Request
Unauthorized
Business Exception
Forbidden
Internal server error
DELETE /rest/v2/ach/tokens/{tokenId} HTTP/1.1
api-key: text
Accept: */*
{
"ach-token": {
"token-id": "1100000000000000",
"times-used": 14,
"last-used": "1100000000000000",
"merchant-id": "000008888",
"routing-number": "081009813",
"account-number": "1111",
"account-type": "Checking",
"individual-name": "John Doe",
"token-description": "Travel checking account",
"created": "1100000000000000",
"updated": "1100000000000000",
"customer-key": "customer123",
"default": false
},
"payloadType": "text"
}Create a reusable ACH token by securely storing a customer's bank account details.
An access API key issued to you by Xplor Pay.
Use this model when creating a new ach token
Specifies the bank routing number used to create the ACH token.
081009813Specifies the bank account number (1 to 17 digits) used to create the ACH token.
123456789Specifies the type of bank account. Possible values: Checking, Savings.
CheckingPossible values: Specifies the name of the bank account holder.
John DoeProvides a description for the ACH token.
Business checking accountIdentifies the customer associated with the ACH token.
customer123Indicates whether this token is the default payment method for the customer.
falseIdentifies the software application.
MySoftwareSpecifies the version of the software application.
v1.0Indicates whether the check-digit validation algorithm is enabled for New Zealand (NZ) bank accounts.
falseSuccessful Token Creation
Payload
Indicates the type of payload returned in the response.
Bad Request
Unauthorized
Business Exception
Forbidden
Not Found
Internal server error
POST /rest/v2/ach/tokens HTTP/1.1
api-key: text
Content-Type: application/json
Accept: */*
Content-Length: 295
{
"routing-number": "081009813",
"account-number": "123456789",
"account-type": "Checking",
"individual-name": "John Doe",
"token-description": "Business checking account",
"customer-key": "customer123",
"default": false,
"software-type": "MySoftware",
"software-type-version": "v1.0",
"check-digit-enabled": false
}{
"ach-token": {
"token-id": "1100000000000000",
"times-used": 14,
"last-used": "1100000000000000",
"merchant-id": "000008888",
"routing-number": "081009813",
"account-number": "1111",
"account-type": "Checking",
"individual-name": "John Doe",
"token-description": "Travel checking account",
"created": "1100000000000000",
"updated": "1100000000000000",
"customer-key": "customer123",
"default": false
},
"payloadType": "text"
}Last updated
Was this helpful?

